package com.tenlionsoft.aimz_k.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.Ignore
import androidx.room.PrimaryKey
import java.io.Serializable

@Entity(tableName = "db_msg")
data class MsgBean(
    @PrimaryKey(autoGenerate = true)
    var id: Long,
    @ColumnInfo(name = "type")
    var type: Int,                      //消息类型
    @ColumnInfo(name = "isSystem")
    var isSystem: Boolean,              //是否为系统信息
    @ColumnInfo(name = "from")
    var from: String,                    //来源,系统消息为:SYSTEM 非系统消息为UserID
    @ColumnInfo(name = "to")
    var to: String,                       //去处 系统消息为appId 非系统消息为userId
    @ColumnInfo(name = "body")
    var body: String,                     //消息体
    @ColumnInfo(name = "timestamp")
    var timestamp: Long,                  // 时间戳
    @ColumnInfo(name = "sendState")
    var sendState: Int,                   //发送状态 11发送中   12发送失败  13发送成功
    @ColumnInfo(name = "fromName")
    var fromName: String,                 //来源名称
    @ColumnInfo(name = "msgType")
    var msgType: Int,

    /**
     * 信息类型
     * <p>
     * 110 我发给其他人的文本信息
     * 111 其他人发送给我的文本信息
     * <p>
     * 121 我发送给其他人语音信息
     * 122 其他人发送给我的语音信息
     * <p>
     * 131 我发给其他人的图片信息
     * 132 其他人发送给我的图片信息
     * <p>
     * 141 我发送给其他人的视频信息
     * 142 其他人发送给我的视频信息
     * <p>
     * 151 我发送给其他人的文件信息
     * 152 其他人发送给我的文件信息
     */
) : Serializable {
    @Ignore
    var msgWhat: Long = 0L
}