package com.tenlionsoft.aimz_k.page.activity

import android.view.View
import android.view.WindowManager
import androidx.core.content.ContextCompat
import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityChatBinding
import com.tenlionsoft.aimz_k.viewmodel.ChatPageViewModel
import com.tenlionsoft.baselib.base.BaseActivity

/**
 * 聊天页面
 */
class ChatActivity : BaseActivity() {
    private lateinit var mBinding: ActivityChatBinding
    private val chatPageViewModel: ChatPageViewModel by lazy {
        ViewModelProvider(this)[ChatPageViewModel::class.java]
    }

    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_chat);
        window.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS)
        window.statusBarColor =
            ContextCompat.getColor(this, com.tenlionsoft.baselib.R.color.chat_page_bg)
        mBinding.ivBack.setOnClickListener { finish(); }
        mBinding.srlChats.setEnableRefresh(false)
        mBinding.srlChats.setEnableLoadMore(false)
        mBinding.viewModel = chatPageViewModel
        mBinding.lifecycleOwner = this
        chatPageViewModel.showSendBtn.observe(this) {
            mBinding.ivSend.visibility = if (it) View.GONE else View.VISIBLE
        }
    }
}