package com.tenlionsoft.aimz_k.page.fragments

import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.databinding.DataBindingUtil
import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.fragment.app.viewModels
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.FragmentMsgBinding
import com.tenlionsoft.aimz_k.model.MsgCategoryBean
import com.tenlionsoft.aimz_k.page.activity.ChatActivity
import com.tenlionsoft.aimz_k.viewmodel.MsgViewModel
import com.tenlionsoft.baselib.widget.LoadingDialog

class MsgFragment : Fragment(), MsgViewModel.OnItemClickListener {
    private lateinit var mMsgBinding: FragmentMsgBinding
    private var mActivity: FragmentActivity? = null
    private var mLoading: LoadingDialog? = null;

    companion object {
        fun newInstance() = MsgFragment()
    }

    private val viewModel: MsgViewModel by viewModels()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        mMsgBinding = DataBindingUtil.inflate(
            layoutInflater,
            R.layout.fragment_msg,
            container,
            false
        );
        mActivity = activity
        mMsgBinding.llSearchLayout.llSearchLayout.setOnClickListener {
            startActivity(Intent(this@MsgFragment.context, ChatActivity::class.java))
        }
        mMsgBinding.msgViewModel = viewModel
        mMsgBinding.lifecycleOwner = this
        viewModel.onItemClickListener = this//条目点击
        initView();
        return mMsgBinding.root;
    }

    /**
     * 初始化页面
     */
    private fun initView() {
        mMsgBinding.srlMsgs.setOnLoadMoreListener { viewModel.loadMore() }
        mMsgBinding.srlMsgs.setOnRefreshListener { viewModel.refresh() }

        viewModel.isHasMore.observe(viewLifecycleOwner) {
            mMsgBinding.srlMsgs.setNoMoreData(it)
            mMsgBinding.srlMsgs.finishRefresh()
            mMsgBinding.srlMsgs.finishLoadMore()
        }
    }

    /**
     * 条目点击
     */
    override fun onItemClick(msgCategoryBean: MsgCategoryBean) {
        Log.e("MsgFragment", "onItemClick: ${msgCategoryBean}")
        startActivity(Intent(mActivity, ChatActivity::class.java))
    }

}