package com.tenlionsoft.aimz_k.widget

import android.widget.ImageView
import androidx.databinding.BindingAdapter
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import androidx.recyclerview.widget.RecyclerView.Adapter
import com.bumptech.glide.Glide
import com.bumptech.glide.load.engine.DiskCacheStrategy
import com.bumptech.glide.request.RequestOptions
import com.tenlionsoft.aimz_k.R


object BindingUtils {

    @BindingAdapter("app:setAdapter")
    @JvmStatic
    fun bindAdapterToRecyclerView(recyclerView: RecyclerView, adapter: Adapter<*>) {
//        adapter.setHasStableIds(true)
//        recyclerView.setHasFixedSize(true)
        recyclerView.layoutManager = LinearLayoutManager(recyclerView.context)
        recyclerView.adapter = adapter
    }

    @BindingAdapter("app:imageUrl")
    @JvmStatic
    fun bindImgUrl(imageView: ImageView, url: String?) {
        if (url.isNullOrEmpty()) {
            imageView.setImageResource(R.drawable.app_logo_small)
        } else {
            val requestOptions = RequestOptions()
                .error(R.drawable.app_logo_small)
                .placeholder(R.drawable.app_logo_small)
                .skipMemoryCache(false)
                .diskCacheStrategy(DiskCacheStrategy.RESOURCE)
                .centerInside()
            Glide.with(imageView.context)
                .load(url)
                .apply(requestOptions)
                .into(imageView)
        }

    }

    @BindingAdapter("imgResource")
    @JvmStatic
    fun bindImgUrl(imageView: ImageView, url: Int) {
        imageView.setImageResource(url)
    }

}