package com.tenlionsoft.aimz_k.widget

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.tenlionsoft.aimz_k.databinding.ItemCategoryBinding
import com.tenlionsoft.aimz_k.model.MsgCategoryBean
import com.tenlionsoft.aimz_k.viewmodel.MsgViewModel

class CategoryAdapter(
    private var list: List<MsgCategoryBean>,
    private val viewModel: MsgViewModel
) : RecyclerView.Adapter<CategoryAdapter.NewsViewHolder>() {
    class NewsViewHolder(val binding: ItemCategoryBinding) : RecyclerView.ViewHolder(binding.root)

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): NewsViewHolder {
        val inflater = LayoutInflater.from(parent.context)
        val binding = ItemCategoryBinding.inflate(inflater, parent, false)
        return NewsViewHolder(binding)
    }

    override fun getItemCount(): Int {
        return list.size
    }

    @SuppressLint("NotifyDataSetChanged")
    fun setData(list: List<MsgCategoryBean>) {
        this.list = list
        this.notifyDataSetChanged()

    }

    override fun onBindViewHolder(holder: NewsViewHolder, position: Int) {
        holder.binding.pos = position
        holder.binding.item = list[position]
        holder.binding.root.setOnClickListener {
            viewModel.onItemClickListener?.onItemClick(list[position])
        }
        holder.binding.executePendingBindings()
    }

}