package com.tenlionsoft.baselib.net

import com.tenlionsoft.baselib.contacts.NetConfig
import okhttp3.HttpUrl
import okhttp3.HttpUrl.Companion.toHttpUrlOrNull
import okhttp3.Interceptor
import okhttp3.Request
import okhttp3.Response

/**
 * 网络请求拦截器
 */
class BaseUrlInterceptor : Interceptor {

    override fun intercept(chain: Interceptor.Chain): Response {
        val request: Request = chain.request();
        var builder = request.newBuilder();
        var oldHttpUrl = request.url;
        var headers = request.headers("project");
        if (headers.isNotEmpty()) {
            builder.removeHeader("project");
            val headerValue = headers[0];
            var newBaseUrl: HttpUrl? = null;
            if ("user" == headerValue) {
                newBaseUrl = NetConfig.MAIN_URL.toHttpUrlOrNull();
            } else {
                newBaseUrl = oldHttpUrl;
            }
            val newFullUrl: HttpUrl = oldHttpUrl.newBuilder()
                .scheme(scheme = newBaseUrl!!.scheme)
                .host(host = newBaseUrl.host)
                .port(newBaseUrl.port)
                .setPathSegment(0, newBaseUrl.pathSegments[0])
                .build();
            return chain.proceed(builder.url(newFullUrl).build());
        } else {
            return chain.proceed(request);
        }
    }
}